### Enumeration

# RB ShellErrorType

#### Declaration

    error-domain RB.ShellErrorType

#### Description

No description available.

#### Members

`RB_SHELL_ERROR_NO_SUCH_URI`

  No description available.

  - Value: `0`
  - Available since: 3.0
`RB_SHELL_ERROR_NO_SUCH_PROPERTY`

  No description available.

  - Value: `1`
  - Available since: 3.0
`RB_SHELL_ERROR_IMMUTABLE_PROPERTY`

  No description available.

  - Value: `2`
  - Available since: 3.0
`RB_SHELL_ERROR_INVALID_PROPERTY_TYPE`

  No description available.

  - Value: `3`
  - Available since: 3.0
`RB_SHELL_ERROR_NO_SOURCE_FOR_URI`

  No description available.

  - Value: `4`
  - Available since: 3.0

#### Type functions

###### rb_shell_error_quark

Returns the `GQuark` used for `RBShell` errors.